GNU bug report logs - #40732
26.1; ^L printed when resizing Emacs split window using ksh93

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Nicholas Papadonis <nick.papadonis.ml@HIDDEN>; merged with #40589, #40735; dated Mon, 20 Apr 2020 14:56:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 40589 40732 40735. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Apr 2020 14:55:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 20 10:55:17 2020
Received: from localhost ([127.0.0.1]:48249 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jQXpM-0003SA-OW
	for submit <at> debbugs.gnu.org; Mon, 20 Apr 2020 10:55:17 -0400
Received: from lists.gnu.org ([209.51.188.17]:35871)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nick.papadonis.ml@HIDDEN>) id 1jQXbQ-00032F-C4
 for submit <at> debbugs.gnu.org; Mon, 20 Apr 2020 10:40:53 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:49762 helo=eggs1p.gnu.org)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <nick.papadonis.ml@HIDDEN>) id 1jQXbP-0007nJ-KV
 for bug-gnu-emacs@HIDDEN; Mon, 20 Apr 2020 10:40:52 -0400
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.1 required=5.0 tests=BAYES_00,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM,
 RCVD_IN_DNSWL_NONE,SPF_PASS,URIBL_BLOCKED autolearn=unavailable
 autolearn_force=no version=3.4.2
Received: from Debian-exim by eggs1p.gnu.org with spam-scanned (Exim 4.90_1)
 (envelope-from <nick.papadonis.ml@HIDDEN>) id 1jQXbO-0000Qw-Nc
 for bug-gnu-emacs@HIDDEN; Mon, 20 Apr 2020 10:40:51 -0400
Received: from mail-qk1-x72f.google.com ([2607:f8b0:4864:20::72f]:33736)
 by eggs1p.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <nick.papadonis.ml@HIDDEN>)
 id 1jQXbO-0000MV-5r
 for bug-gnu-emacs@HIDDEN; Mon, 20 Apr 2020 10:40:50 -0400
Received: by mail-qk1-x72f.google.com with SMTP id v7so10814042qkc.0
 for <bug-gnu-emacs@HIDDEN>; Mon, 20 Apr 2020 07:40:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:content-transfer-encoding:mime-version:subject:message-id:date
 :to; bh=0vsvE3PnDRmezkN5y4oo/AYFSH5NkULRiMskhdzij7c=;
 b=sbfgvcH4I85aRtxME74szUqBCiFBzXuHv7psoodmF2eipGHcRXxbWGbOf8r0gBay7X
 SkTlidRk6gCvn45gGsasJhdxzDZ4DSW9vl3TseQk4fWzcz/D/yHZ55ebNbJZpUWlRpNQ
 e06N0wICyrmJHODX5t3449r0pHkLffSHOa+/99U+Q3rJWXN9ctIdNVdsIybOp2L+9aQ/
 IkTRULaxCqqSaunNX3coFMf3srZG1bF81I5KAw2AgLKHuRMwzHL1EnBxQy1+1SSoO0j9
 ZVNPtZ6xaPfAW08GkWjZCVPvpX9L3GgkpEnoRBfU7Isb5AdJk57A5LIKaHwtIByDzXsc
 2hkw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:content-transfer-encoding:mime-version
 :subject:message-id:date:to;
 bh=0vsvE3PnDRmezkN5y4oo/AYFSH5NkULRiMskhdzij7c=;
 b=qD7egJgsI9nKcMtBQCMUC+XET1qpODbu6XaUt3gevEK94eQ9ZDS4awTTy5gWL8Ronb
 Q7QK+Bg2m5/VNhIqG1jE2nMBa7BhGIX0Hjiwnm/tR9vrUfrnYq2mt1qUDgXM4AsGa5mt
 SVwMQJG2cg1MVri+Tv2cYtfHpSBmm8vd8yCsJBP202URLrSf2UiUReSg3x/mlB0vvE3m
 6P3gbX+fWOkLctbYWCesu8sYWEj/y0k4Fqt6tlqnCaQHTqilXd+QXFPB5kYNlR83abOH
 KeaXg1zYF8DdYeWD2uwME2cOqe0Xn81MXfXCxtfgYqaas/STtYU9ArOYaHujfpk4nMms
 X7tw==
X-Gm-Message-State: AGi0PuZB44r1uYQ2UHJWEFEMm1VQgr00p6iXl7AHJrvHvmRJWij8YBtf
 J+bd3VDv2X1ksYAEaBEevVY2Ha+pzgI=
X-Google-Smtp-Source: APiQypLX6xX94lF0OfR3pOms05YP9+1469ub4QTit6vl153pDJg6f2VG98swLYBG7OkWLU+qayY2Sg==
X-Received: by 2002:a05:620a:1401:: with SMTP id
 d1mr16962074qkj.333.1587393646709; 
 Mon, 20 Apr 2020 07:40:46 -0700 (PDT)
Received: from ?IPv6:2601:19d:303:7ba0:c511:451a:5099:daa4?
 ([2601:19d:303:7ba0:c511:451a:5099:daa4])
 by smtp.gmail.com with ESMTPSA id 190sm693341qkl.46.2020.04.20.07.40.45
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 20 Apr 2020 07:40:45 -0700 (PDT)
From: Nicholas Papadonis <nick.papadonis.ml@HIDDEN>
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 13.4 \(3608.80.23.2.2\))
Subject: 26.1; ^L printed when resizing Emacs split window using ksh93
Message-Id: <E03EA883-D06F-47D8-B8FA-D6DF0343FE7B@HIDDEN>
Date: Mon, 20 Apr 2020 10:40:44 -0400
To: bug-gnu-emacs@HIDDEN
X-Mailer: Apple Mail (2.3608.80.23.2.2)
Received-SPF: pass client-ip=2607:f8b0:4864:20::72f;
 envelope-from=nick.papadonis.ml@HIDDEN; helo=mail-qk1-x72f.google.com
X-detected-operating-system: by eggs1p.gnu.org: Error: [-] PROGRAM ABORT :
 Malformed IPv6 address (bad octet value).
 Location : parse_addr6(), p0f-client.c:67
X-Received-From: 2607:f8b0:4864:20::72f
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 20 Apr 2020 10:55:16 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


I have linked a screen shot of the issue below.  The issue occurs when =
Emacs is in split window mode, X session and M-x shell is invoked.  The =
shell is ksh93.  I tried finding the Emacs bug tracker, however this is =
the only method I found to file a bug. This has been reproduced by =
others.

Screenshot of issue:
http://nickpapadonis.com/images-share/emacs-ksh-0.png

PS2 is printed multiple times during the resize.  When entered is =
pressed after the resize, multiple ^L s are displayed.  I set PS2=3D"" =
and the brackets are omitted, however ^L still remain after pressing =
enter.

Is this a known issue?  I have CC'd KSH list in case the problem is on =
the ksh93 side.

Thanks

Emacs 26.1 build 2.

1 [debian:~]$ echo $0
-ksh93
2 [debian:~]$ ksh93 --version
  version         sh (AT&T Research) 93u+ 2012-08-01
3 [debian:~]$ echo ${.sh.version}
Version AJM 93u+ 2012-08-01
...

In GNU Emacs 26.1 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.5)
 of 2019-09-22, modified by Debian built on x86-grnet-01
Windowing system distributor 'The X.Org Foundation', version =
11.0.11804000
System Description:	Debian GNU/Linux 10 (buster)

Configured using:
 'configure --build x86_64-linux-gnu --prefix=3D/usr
 --sharedstatedir=3D/var/lib --libexecdir=3D/usr/lib
 --localstatedir=3D/var/lib --infodir=3D/usr/share/info
 --mandir=3D/usr/share/man --enable-libsystemd --with-pop=3Dyes
 =
--enable-locallisppath=3D/etc/emacs:/usr/local/share/emacs/26.1/site-lisp:=
/usr/local/share/emacs/site-lisp:/usr/share/emacs/26.1/site-lisp:/usr/shar=
e/emacs/site-lisp
 --with-sound=3Dalsa --without-gconf --with-mailutils --build
 x86_64-linux-gnu --prefix=3D/usr --sharedstatedir=3D/var/lib
 --libexecdir=3D/usr/lib --localstatedir=3D/var/lib
 --infodir=3D/usr/share/info --mandir=3D/usr/share/man =
--enable-libsystemd
 --with-pop=3Dyes
 =
--enable-locallisppath=3D/etc/emacs:/usr/local/share/emacs/26.1/site-lisp:=
/usr/local/share/emacs/site-lisp:/usr/share/emacs/26.1/site-lisp:/usr/shar=
e/emacs/site-lisp
 --with-sound=3Dalsa --without-gconf --with-mailutils --with-x=3Dyes
 --with-x-toolkit=3Dgtk3 --with-toolkit-scroll-bars 'CFLAGS=3D-g -O2
 -fdebug-prefix-map=3D/build/emacs-StqULU/emacs-26.1+1=3D. =
-fstack-protector-strong
 -Wformat -Werror=3Dformat-security -Wall' 'CPPFLAGS=3D-Wdate-time
 -D_FORTIFY_SOURCE=3D2' LDFLAGS=3D-Wl,-z,relro'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 THREADS LIBSYSTEMD LCMS2

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Shell

Minor modes in effect:
  shell-dirtrack-mode: t
  global-display-line-numbers-mode: t
  display-line-numbers-mode: t
  cl-old-struct-compat-mode: t
  xterm-mouse-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/np/.emacs.d/elpa/slime-20200319.1939/slime-autoloads hides =
/usr/share/emacs/site-lisp/elpa/slime-2.23/slime-autoloads
/home/np/.emacs.d/elpa/slime-20200319.1939/slime-pkg hides =
/usr/share/emacs/site-lisp/elpa/slime-2.23/slime-pkg
/home/np/.emacs.d/elpa/slime-20200319.1939/slime hides =
/usr/share/emacs/site-lisp/elpa/slime-2.23/slime
/home/np/.emacs.d/elpa/slime-20200319.1939/slime-tests hides =
/usr/share/emacs/site-lisp/elpa/slime-2.23/slime-tests
/home/np/.emacs.d/elpa/slime-20200319.1939/slime-autoloads hides =
/usr/share/emacs/site-lisp/elpa-src/slime-2.23/slime-autoloads
/home/np/.emacs.d/elpa/slime-20200319.1939/slime-pkg hides =
/usr/share/emacs/site-lisp/elpa-src/slime-2.23/slime-pkg
/home/np/.emacs.d/elpa/slime-20200319.1939/slime hides =
/usr/share/emacs/site-lisp/elpa-src/slime-2.23/slime
/home/np/.emacs.d/elpa/slime-20200319.1939/slime-tests hides =
/usr/share/emacs/site-lisp/elpa-src/slime-2.23/slime-tests
/usr/share/emacs/site-lisp/latex-cjk-thai/thai-word hides =
/usr/share/emacs/26.1/lisp/language/thai-word

Features:
(shadow sort mail-extr emacsbug message rmc puny format-spec rfc822 mml
mml-sec epa derived epg gnus-util rmail rmail-loaddefs mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils dired
dired-loaddefs shell pcomplete comint ansi-color macrostep-c subr-x
cmacexp macrostep ring pp cc-mode cc-fonts cc-guess cc-menus cc-cmds
cc-styles cc-align cc-engine cc-vars cc-defs elec-pair
display-line-numbers ac-geiser auto-complete popup geiser edmacro kmacro
info-look finder-inf info slime-autoloads package easymenu epg-config
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib xt-mouse erlang-start time-date
mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 275179 11084)
 (symbols 48 30850 3)
 (miscs 40 111 623)
 (strings 32 87349 3016)
 (string-bytes 1 2240221)
 (vectors 16 26799)
 (vector-slots 8 678295 14346)
 (floats 8 81 222)
 (intervals 56 1142 0)
 (buffers 992 17))





Acknowledgement sent to Nicholas Papadonis <nick.papadonis.ml@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#40732; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 20 Apr 2020 17:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.